org.apache.xmlbeans.impl.xb.xmlconfig

## Interface Nsconfig

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  NsconfigImpl

    public interface Nsconfig
    extends XmlObject

An XML nsconfig(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<Nsconfig>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPackage()` Gets the "package" element
`String` `getPrefix()` Gets the "prefix" element
`String` `getSuffix()` Gets the "suffix" element
`Object` `getUri()` Gets the "uri" attribute
`List` `getUriprefix()` Gets the "uriprefix" attribute
`boolean` `isSetPackage()` True if has "package" element
`boolean` `isSetPrefix()` True if has "prefix" element
`boolean` `isSetSuffix()` True if has "suffix" element
`boolean` `isSetUri()` True if has "uri" attribute
`boolean` `isSetUriprefix()` True if has "uriprefix" attribute
`void` `setPackage(String xpackage)` Sets the "package" element
`void` `setPrefix(String prefix)` Sets the "prefix" element
`void` `setSuffix(String suffix)` Sets the "suffix" element
`void` `setUri(Object uri)` Sets the "uri" attribute
`void` `setUriprefix(List uriprefix)` Sets the "uriprefix" attribute
`void` `unsetPackage()` Unsets the "package" element
`void` `unsetPrefix()` Unsets the "prefix" element
`void` `unsetSuffix()` Unsets the "suffix" element
`void` `unsetUri()` Unsets the "uri" attribute
`void` `unsetUriprefix()` Unsets the "uriprefix" attribute
`XmlString` `xgetPackage()` Gets (as xml) the "package" element
`XmlString` `xgetPrefix()` Gets (as xml) the "prefix" element
`XmlString` `xgetSuffix()` Gets (as xml) the "suffix" element
`NamespaceList` `xgetUri()` Gets (as xml) the "uri" attribute
`NamespacePrefixList` `xgetUriprefix()` Gets (as xml) the "uriprefix" attribute
`void` `xsetPackage(XmlString xpackage)` Sets (as xml) the "package" element
`void` `xsetPrefix(XmlString prefix)` Sets (as xml) the "prefix" element
`void` `xsetSuffix(XmlString suffix)` Sets (as xml) the "suffix" element
`void` `xsetUri(NamespaceList uri)` Sets (as xml) the "uri" attribute
`void` `xsetUriprefix(NamespacePrefixList uriprefix)` Sets (as xml) the "uriprefix" attribute

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<Nsconfig> Factory

#### type

    static final SchemaType type

### Method Detail

#### getPackage

    String getPackage()

Gets the "package" element

#### xgetPackage

    XmlString xgetPackage()

Gets (as xml) the "package" element

#### isSetPackage

    boolean isSetPackage()

True if has "package" element

#### setPackage

    void setPackage(String xpackage)

Sets the "package" element

#### xsetPackage

    void xsetPackage(XmlString xpackage)

Sets (as xml) the "package" element

#### unsetPackage

    void unsetPackage()

Unsets the "package" element

#### getPrefix

    String getPrefix()

Gets the "prefix" element

#### xgetPrefix

    XmlString xgetPrefix()

Gets (as xml) the "prefix" element

#### isSetPrefix

    boolean isSetPrefix()

True if has "prefix" element

#### setPrefix

    void setPrefix(String prefix)

Sets the "prefix" element

#### xsetPrefix

    void xsetPrefix(XmlString prefix)

Sets (as xml) the "prefix" element

#### unsetPrefix

    void unsetPrefix()

Unsets the "prefix" element

#### getSuffix

    String getSuffix()

Gets the "suffix" element

#### xgetSuffix

    XmlString xgetSuffix()

Gets (as xml) the "suffix" element

#### isSetSuffix

    boolean isSetSuffix()

True if has "suffix" element

#### setSuffix

    void setSuffix(String suffix)

Sets the "suffix" element

#### xsetSuffix

    void xsetSuffix(XmlString suffix)

Sets (as xml) the "suffix" element

#### unsetSuffix

    void unsetSuffix()

Unsets the "suffix" element

#### getUri

    Object getUri()

Gets the "uri" attribute

#### xgetUri

    NamespaceList xgetUri()

Gets (as xml) the "uri" attribute

#### isSetUri

    boolean isSetUri()

True if has "uri" attribute

#### setUri

    void setUri(Object uri)

Sets the "uri" attribute

#### xsetUri

    void xsetUri(NamespaceList uri)

Sets (as xml) the "uri" attribute

#### unsetUri

    void unsetUri()

Unsets the "uri" attribute

#### getUriprefix

    List getUriprefix()

Gets the "uriprefix" attribute

#### xgetUriprefix

    NamespacePrefixList xgetUriprefix()

Gets (as xml) the "uriprefix" attribute

#### isSetUriprefix

    boolean isSetUriprefix()

True if has "uriprefix" attribute

#### setUriprefix

    void setUriprefix(List uriprefix)

Sets the "uriprefix" attribute

#### xsetUriprefix

    void xsetUriprefix(NamespacePrefixList uriprefix)

Sets (as xml) the "uriprefix" attribute

#### unsetUriprefix

    void unsetUriprefix()

Unsets the "uriprefix" attribute